Name:           ocaml-uutf
Version:        0.9.3
Release:        %mkrel 3
Summary:        Non-blocking streaming codec for UTF-8, UTF-16, UTF-16LE and UTF-16BE
License:        BSD3
Group:          Development/OCaml
URL:            http://erratique.ch/software/uutf
Source0:        http://erratique.ch/software/uutf/releases/uutf-%{version}.tbz
BuildRequires:  ocaml-findlib

%description
Uutf is an non-blocking streaming Unicode codec for OCaml to decode and
encode the UTF-8, UTF-16, UTF-16LE and UTF-16BE encoding schemes. It can
efficiently work character by character without blocking on IO. Decoders
perform character position tracking and support newline normalization.

Functions are also provided to fold over the characters of UTF encoded OCaml
string values and to directly encode characters in OCaml Buffer.t values.

Uutf is made of a single, independent, module.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n uutf-%{version}

%build
pushd src/
 ocamlc -c uutf.mli
 ocamlc -c uutf.ml
 ocamlc -g -a -o uutf.cma uutf.cmo
 ocamlopt -c uutf.ml
 ocamlopt -g -a -o uutf.cmxa uutf.cmx
 ocamlopt -g -shared -linkall -o uutf.cmxs uutf.cmxa
popd

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/uutf
pushd src/
 ocamlfind install uutf ../pkg/META *.a *.cm[iax] *.cmx[as] *.mli
popd

pushd test/
 ocamlopt -o utftrip unix.cmxa -I ../src uutf.cmxa utftrip.ml
 install -d %{buildroot}%{_bindir}/
 install -m 0755 utftrip %{buildroot}%{_bindir}/
 rm -f *.o *.cm[ix] utftrip
popd

%files
%doc README.md CHANGES.md
%dir %{_libdir}/ocaml/uutf
%{_libdir}/ocaml/uutf/META
%{_libdir}/ocaml/uutf/*.cma
%{_libdir}/ocaml/uutf/*.cmi
%{_libdir}/ocaml/uutf/*.cmxs
%{_bindir}/utftrip

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/uutf/*.a
%{_libdir}/ocaml/uutf/*.cmxa
%{_libdir}/ocaml/uutf/*.cmx
%{_libdir}/ocaml/uutf/*.mli


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.9.3-3.mga4
+ Revision: 537831
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 blue_prawn <blue_prawn> 0.9.3-2.mga4
+ Revision: 487866
- rebuild for ocaml-4.01.0

* Fri Sep 06 2013 blue_prawn <blue_prawn> 0.9.3-1.mga4
+ Revision: 475540
- updated to last version 0.9.3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.2-2.mga3
+ Revision: 361693
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 malo <malo> 0.9.2-1.mga3
+ Revision: 341176
- new version 0.9.2

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.1-4.mga3
+ Revision: 301077
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.1-3.mga3
+ Revision: 300427
- increm mkrel

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.9.1-2.mga3
+ Revision: 299125
- new rpm group for ocaml

* Sun Sep 09 2012 blue_prawn <blue_prawn> 0.9.1-1.mga3
+ Revision: 291356
- updated to last version 0.9.1

* Sun May 06 2012 blue_prawn <blue_prawn> 0.9.0-1.mga3
+ Revision: 234847
- imported package ocaml-uutf

